/*
 * ۼ ¥: 2005. 8. 8.
 *
 * 
 */
package test.soap;

import java.io.*;
import java.net.*;
import java.util.*;
import org.apache.soap.*;
import org.apache.soap.rpc.*;

/**
 * @author hhjang97
 *
 * Simple Calculator Client 
 * 
 */
public class CalcClient {

	public static void main(String[] args) throws Exception {
		// NOTE :  ڰ int   Integer.class    ߻Ѵ.
		

		URL url = new URL ("http://129.254.237.141:8080/soap/servlet/rpcrouter");

//		Integer p1 = new Integer(args[0]);
//		Integer p2 = new Integer(args[1]);
		Integer p1 = new Integer("45");
		Integer p2 = new Integer("20");
//		String p1 = "45";
//		String p2 = "20";		

		// Build the call.
		Call call = new Call();
		call.setTargetObjectURI("urn:onjavaserver");	// Unique ID 
		call.setMethodName("subtract");
		call.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
		Vector params = new Vector();
		params.addElement(new Parameter("p1", Integer.class, p1, null));
		params.addElement(new Parameter("p2", Integer.class, p2, null));

		// subtract2
//		params.addElement(new Parameter("p1", String.class, p1, null));
//		params.addElement(new Parameter("p2", String.class, p2, null));
		call.setParams (params);

		// make the call: note that the action URI is empty because the
		// XML-SOAP rpc router does not need this. This may change in the
		// future.
		Response resp = call.invoke(url, "" );

		// Check the response.
		if ( resp.generatedFault() ) {

			Fault fault = resp.getFault ();
			System.out.println("The call failed: ");
			System.out.println("Fault Code	 = " + fault.getFaultCode());
			System.out.println("Fault String = " + fault.getFaultString());
		}
		else {

			Parameter result = resp.getReturnValue();
			System.out.println(result.getValue());
		}
	} // end main

}
